<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">

<head>
  <title><?php print $head_title ?></title>
  <?php print $head ?>
  <?php print $styles ?>
  <?php print $scripts ?>
  <script type="text/javascript"><?php /* Needed to avoid Flash of Unstyle Content in IE */ ?> </script>
</head>

<body>

<div id="page_all">

<div id="header">
  <div id="logo">
    <?php if ($logo) { ?>
      <a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a>
    <?php } ?>
    <div id="site_name">
      <?php if ($site_name) { ?>
        <h1 class='site-name'><a href="<?php print $base_path ?>" title="<?php print t('Home') ?>"><?php print $site_name ?></a></h1>
      <?php } ?>
      <?php if ($site_slogan) { ?>
        <div class='site-slogan'><?php print $site_slogan ?></div>
      <?php } ?>
    </div>
  </div>
  <div id="menu">
    <div id="primary_wrapper">
      <?php print $search_box ?>
      <?php if (isset($primary_links)) { ?>
        <?php print theme('links', $primary_links, array('class' =>'links', 'id' => 'navlist')) ?>
      <?php } ?>
    </div>
    <?php if (isset($secondary_links)) { ?>
      <?php print theme('links', $secondary_links, array('class' =>'links', 'id' => 'subnavlist')) ?>
    <?php } ?>
  </div>
  <span class="clear"><?php print $header ?></span>
</div>

<div id="content">
  <?php $left_margin="m_left"; $right_margin="m_right"; $left_block_width="w_block"; $right_block_width="w_block"; ?>
  <?php if (! $sidebar_left) { $left_margin="m_left0"; $right_margin="m_rightmax"; $right_block_width="w_block0"; } ?>
  <?php if (! $sidebar_right) { $right_margin="m_right0"; $left_margin="m_leftmax"; $left_block_width="w_block0"; } ?>
  <?php if ($sidebar_left) { ?>
    <div id="sidebar-left" class="<?php print $left_block_width; ?>">
      <?php print $sidebar_left ?>
    </div>
  <?php } ?>
  <?php if ($sidebar_right) { ?>
    <div id="sidebar-right" class="<?php print $right_block_width; ?>">
      <?php print $sidebar_right ?>
    </div>
  <?php } ?>
  <div id="main_wrapper" class="<?php print $left_margin.' '.$right_margin; ?>">
    <?php if ($mission) { ?><div id="mission"><?php print $mission ?></div><?php } ?>
    <div id="main">
      <?php print $breadcrumb ?>
      <h1 class="title"><?php print $title ?></h1>
      <div class="tabs"><?php print $tabs ?></div>
      <?php print $help ?>
      <?php print $messages ?>
      <?php print $content; ?>
      <?php print $feed_icons; ?>
      <div class="expand">&nbsp;</div>
    </div>
  </div>
  <span class="clear"></span>
</div>

<div id="footer">
  <?php print $footer_message ?>
</div>

<span class="clear"></span>
</div>
<?php print $closure ?>
</body>
</html>
